
CoCoA-5 - Feature #1583

New fn ElapsedTimeFrom?

19 Mar 2021 13:04 - John Abbott

Status: New Start date: 19 Mar 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.30 hour

Description

Now that we have both CpuTime and ElapsedTime, should we also have ElapsedTimeFrom?

Related issues:

Related to CoCoA-5 - Bug #1553: Timing SystemCommand Closed 17 Dec 2020

History

#1 - 19 Mar 2021 13:06 - John Abbott

Currently CpuTime and ElapsedTime return rational numbers (representing seconds).

There is a risk that if someone uses ElapsedTimeFrom with argument corresponding to a CpuTime value then a "meaningless" value may be

produced.

One way to avoid this would be to use tags or records to encapsulate the values from CpuTime and ElapsedTime.... but that would not be backward

compatible.

#2 - 19 Mar 2021 13:09 - Anna Maria Bigatti

- Related to Bug #1553: Timing SystemCommand added

#3 - 04 Nov 2021 23:18 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#4 - 18 Mar 2024 21:27 - John Abbott

I'm tempted to reject this.  Yes, there is the risk mentioned in the description, but it is not so serious -- if necessary, we can improve the

documentation.

Currently, I cannot think of any great use for ElapsedTime... I suppose I must have added it for a reason...
